### A free/open-source library for quantitative finance

Public Member Functions | Public Attributes
CliquetOption::arguments Class Reference

Arguments for cliquet option calculation More...

`#include <ql/instruments/cliquetoption.hpp>`

Inheritance diagram for CliquetOption::arguments:
[legend]

List of all members.

## Public Member Functions

void | validate () const

## Public Attributes

Real | accruedCoupon
Real | lastFixing
Real | localCap
Real | localFloor
Real | globalCap
Real | globalFloor
std::vector< Date > | resetDates

## Detailed Description

Arguments for cliquet option calculation